Bug 455763 - RFE: upstart doesn't recognize the "-b"/"emergency" flag
RFE: upstart doesn't recognize the "-b"/"emergency" flag
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
13
All Linux
low Severity low
: ---
: ---
Assigned To: Bill Nottingham
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-17 12:50 EDT by Nalin Dahyabhai
Modified: 2014-03-16 23:15 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-28 16:06:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nalin Dahyabhai 2008-07-17 12:50:22 EDT
Description of problem:
When the "emergency" or "-b" flag is passed to the kernel as a parameter, init
is supposed to spawn an emergency shell.  With upstart, that doesn't happen, and
bootup proceeds as normal.

Version-Release number of selected component (if applicable):
upstart-0.3.9-19.fc9

How reproducible:
Always

Steps to Reproduce:
1. At the boot-time grub prompt, hit "a" to append arguments.
2. Append "emergency" and hit enter.
 
Actual results:
System boots as if I hadn't added that argument.

Expected results:
An emergency shell, before the filesystems get mounted read/write.

Additional info:
The old sysvinit init also recognized other arguments ("-z", "-a") which upstart
doesn't seem to support (unless it's just missing from the docs).
Comment 1 Bill Nottingham 2008-07-17 13:14:30 EDT
Is this really any different than just passing init=/bin/bash?
Comment 2 Nalin Dahyabhai 2008-07-17 13:17:57 EDT
It is -- the bootup process continues after you exit the shell.
Comment 3 Bill Nottingham 2008-07-17 13:23:10 EDT
Hm, moving to initscripts as this would have to be done in the event setup, not
upstart itself.

As for -z and -a, I'm not seeing why they would be useful usage cases to implement.
Comment 4 Bug Zapper 2009-06-09 22:07:05 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2010-04-27 08:08:50 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Frank Crawford 2010-11-22 07:27:11 EST
Folks, is anything ever going to happen about this?

One reason to do something about this is that just about all searches to find out how to handle low level booting issues refers to using either '-b' and/or `emergency' to get a shell.  This is even documented in the sulogin man page.
Comment 7 Bill Nottingham 2011-02-28 16:06:31 EST
This is fixed in F-15 with systemd.

Note You need to log in before you can comment on or make changes to this bug.